﻿namespace AEA.WPFControls
{
    /// <summary>
    /// Specifies the position of the text and image relative to each other on this <see cref="AEA.WPFControls.SplitButton"/>.
    /// </summary>
    public enum SplitButtonTextImageRelation
    {
        /// <summary>
        /// Specifies that the image is displayed horizontally before the text of this <see cref="AEA.WPFControls.SplitButton"/>.
        /// </summary>
        ImageBeforeText = 0,

        /// <summary>
        /// Specifies that the text is displayed horizontally before the image of this <see cref="AEA.WPFControls.SplitButton"/>.
        /// </summary>
        TextBeforeImage = 1,

        /// <summary>
        /// Specifies that the image is displayed vertically above the text of this <see cref="AEA.WPFControls.SplitButton"/>.
        /// </summary>
        ImageAboveText = 2,

        /// <summary>
        /// Specifies that the text is displayed vertically above the image of this <see cref="AEA.WPFControls.SplitButton"/>.
        /// </summary>
        TextAboveImage = 3,
    }
}
